<?php
require("../conexion.php");
include ("../funciones/fechas.php");

$numaju    = $_POST["numaju"];
$cdgtipaju = $_POST["combotipoajuste"];
$accaju = $_POST["combotipoperacion"];



$fechainicio=$_POST["fechainicio"];
$fechafin=$_POST["fechafin"];

 $fechainicio= implode("-", array_reverse(explode("-", $fechainicio))); 
$fechafin= implode("-", array_reverse(explode("-", $fechafin))); 


$cadena_busqueda=$_POST["cadena_busqueda"];

$where="1=1";
if ($accaju <> "") { $where.=" AND tipo_ajuste.accaju='$accaju'"; }
if ($numaju <> "") { $where.=" AND ajustes_inventario.numaju='$numaju'"; }
if ($cdgtipaju <> "") { $where.=" AND ajustes_inventario.cdgtipaju='$cdgtipaju'"; }



if (($fechainicio<>"") and ($fechafin<>"")) {
	 $where.=" AND ajustes_inventario.fecaju between '".$fechainicio."' AND '".$fechafin."'";
} else {
	if ($fechainicio<>"") {
	 	$where.=" AND ajustes_inventario.fecaju >='".$fechainicio."'";
	} else {
		if ($fechafin<>"") {
		$where.=" AND ajustes_inventario.fecaju <='".$fechafin."'";
		}
	}
}




 $where.=" ORDER BY fecaju DESC limit 300";
 ////////////////////////   Averigua el numero de FILAS ////////////////////////////
if ($result = $mysqli->query("SELECT ajustes_inventario.totalajuste, ajustes_inventario.cdgtipaju, ajustes_inventario.borrado,ajustes_inventario.numaju,ajustes_inventario.detaju ,ajustes_inventario.fecaju , tipo_ajuste.dscaju FROM ajustes_inventario, tipo_ajuste WHERE   ajustes_inventario.cdgtipaju=tipo_ajuste.cdgtipaju   AND ".$where)) {
   $filas = $result->num_rows;
   $result->close();
}


?>
<html>
	<head>
		<title>Ajustes</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script language="javascript">
		
		colorfondo;
		
		function ver_ajuste(codaju) {
			parent.location.href="ver_ajuste.php?codaju=" + codaju + "&cadena_busqueda=<?php echo $cadena_busqueda?>";
		}
		
		function modificar_ajuste(codaju,marcaestado) {
			if (marcaestado==1) {
				parent.location.href="modificar_ajuste.php?codaju=" + codaju + "&cadena_busqueda=<?php echo $cadena_busqueda?>";
			} else {
				alert ("No puede modificar un ajuste ya pagada.");
			}
		}
		
	//////////////////////////////////////  funcion anular ajuste //////////////////////////////////////////////////////

		function eliminar_ajuste(codaju,marcaborrado) {
			if (marcaborrado==1) {
		       alert ("Favor verifique ajuste ya fue ANULADO !");
					} else {	
			parent.location.href="eliminar_ajuste.php?codaju=" + codaju + "&cadena_busqueda=<?php echo $cadena_busqueda?>";
			
			}
		}
					      

		function inicio() {
			var numfilas=document.getElementById("numfilas").value;
			var indi=parent.document.getElementById("iniciopagina").value;
			var contador=1;
			var indice=0;
			if (indi>numfilas) { 
				indi=1; 
			}
			parent.document.form_busqueda.filas.value=numfilas;
			parent.document.form_busqueda.totalajuste.value=document.getElementById("totalajuste").value;
			parent.document.form_busqueda.paginas.innerHTML="";		
			while (contador<=numfilas) {
				texto=contador + "-" + parseInt(contador+15);
				if (indi==contador) {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
					parent.document.form_busqueda.paginas.options[indice].selected=true;
				} else {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
				}
				indice++;
				contador=contador+16;
			}
		}
		
		function CambiaColor(esto,fondo,texto)
		{
			colorfondo=esto.style.background;
			esto.style.background=fondo;
			esto.style.color=texto;
			return colorfondo;
		}
		
		function CambiaColor2(esto,texto)
		{
			esto.style.background=colorfondo;
			esto.style.color=texto;
		}
		
				function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}


function imprimir(codaju) {


		window.open("../fpdf/imprimir_ajuste.php?codaju="+codaju);
		//window.open("../fpdf/imprimir_factura_TERMICA_SUPER.php?codfactura="+codfactura);	
		//window.open("../fpdf/imprimir_Original.php?codfactura="+codfactura );
		//window.open("../fpdf/imprimir_Copia.php?codfactura="+codfactura);

		}

		
		</script>
	</head>

	<body onload= nobackbutton(); inicio()>	
		<div id="">
			<div id="zonaContenidoPP">
			<div align="center">
			<table class="fuente8" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
            
			<input type="hidden" name="numfilas" id="numfilas" value="<?php echo $filas?>">
			<input type="hidden" name="totalajuste" id="totalajuste" value="<?php echo $totalajuste?>">
				<?php
				
					if ($filas > 0) { 
						
//$consulta = "SELECT codaju,dscaju,detaju,borrado, totalajuste,numaju,cdgtipaju,fecaju FROM ajustes_inventario WHERE ".$where;

 $consulta=("SELECT ajustes_inventario.codaju,ajustes_inventario.totalajuste, ajustes_inventario.cdgtipaju, ajustes_inventario.borrado,ajustes_inventario.numaju,ajustes_inventario.detaju ,ajustes_inventario.fecaju , tipo_ajuste.dscaju FROM ajustes_inventario, tipo_ajuste WHERE   ajustes_inventario.cdgtipaju=tipo_ajuste.cdgtipaju   AND ".$where );
 

$contador=0;
if ($resultado = $mysqli->query($consulta)) 

 
    while ($fila = $resultado->fetch_assoc()) {
        $marcaborrado = $fila["borrado"];

		if ( $marcaborrado == 1) { $borrado="Nula"; } else { $borrado=""; } 
		if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; }?>
								
								<tr class="<?php echo $fondolinea ?>" onMouseOver="CambiaColor(this,'#000000','#ffffff')" onMouseOut="CambiaColor2(this,'#000000')" >
                                <?php $fecaju= $fila["fecaju"];;
								$fecaju= implode("-", array_reverse(explode("-", $fecaju))); 
								
								?>

								<td width="1%"><?php $contador+1;?></td>
								<td width="10%"><div align="left"><?php echo $fila["numaju"];?></div></td>
								<td width="10%"><div align="left"><?php echo $fecaju ?></div></td>	
								<td width="33%"><div align="left"><?php echo $fila["detaju"];?></div></td>	
								<td width="12%"><div align="left"><?php echo $borrado; ?></div></td>		
                                <td width="7%"><div align="left"><?php echo $fila["cdgtipaju"];?></div></td>						
								<td width="9%"><div align="right"><?php echo number_format($fila["totalajuste"],2,".",",")?></div></td>
		
								<td width="4%">&nbsp;</td>
								<td width="4%"><div align="center"><a href="#"><img src="../img/Search_Male_User_Icon_32.png" width="25" height="25" border="0" onClick="ver_ajuste(<?php echo $fila["codaju"] ?> )" title="Visualizar"></a></div></td>
								<td width="5%"><div align="center"><a href="#"><img src="../img/Remove_Male_User_Icon_32.png" width="25" height="25" border="0" onClick="eliminar_ajuste(<?php echo $fila["codaju"]  ?> , <?php echo $marcaborrado ?>)" title="Anular ajuste"></a></div></td>
						        <td width="5%"><a href="#"><img src="../img/Printer_Icon_32.png" alt="im" width="32" height="32" border="0" title="imprimir" onClick="imprimir(<?php echo $fila["codaju"]  ?> , <?php echo $marcaborrado ?>)"></a></td>
						</tr>
						</tr>	
						<?php $contador++;
							}
						?>			
					</table>
					<?php } else { ?>
					<table class="fuente8" width="87%" cellspacing=0 cellpadding=3 border=0>
						<tr>
							<td width="100%" class="mensaje"><?php echo "No hay ningun Ajuste que cumpla con los criterios de b&uacute;squeda";?></td>
					    </tr>
					</table>					
					<?php } ?>					
			  </div>
			</div>
		  </div>			
		</div>
	</body>
</html>
